Package org.eclipse.emf.cdo.spi.server

## Class RepositoryConfigurator

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.RepositoryConfigurator

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IManagedContainerProvider`

      public class RepositoryConfigurator
      extends java.lang.Object
      implements org.eclipse.net4j.util.container.IManagedContainerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RepositoryConfigurator.Factory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConfigurator()` |
    `RepositoryConfigurator​(org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRepository[]` | `configure​(java.io.File configFile)` |
    `IRepository[]` | `configure​(java.io.Reader configReader)` |
    `protected IRepository[]` | `configure​(org.w3c.dom.Document document)` |
    `protected IStore` | `createStore​(java.lang.String repositoryName, java.util.Map<java.lang.String,​java.lang.String> repositoryProperties, org.w3c.dom.Element storeConfig)` |
    `protected java.lang.String` | `getAttribute​(org.w3c.dom.Element element, java.lang.String name)` |
    `protected org.eclipse.net4j.util.security.IAuthenticator` | `getAuthenticator​(java.lang.String type, java.lang.String description)` |
    `protected org.eclipse.net4j.util.security.IAuthenticator` | `getAuthenticator​(org.w3c.dom.Element authenticatorConfig)` |
    `protected org.w3c.dom.Element` | `getAuthenticatorConfig​(org.w3c.dom.Element repositoryConfig)` |
    `protected org.w3c.dom.Element` | `getChildElement​(org.w3c.dom.Element element, java.lang.String name)` |
    `org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` |
    `protected <T> T` | `getContainerElement​(org.w3c.dom.Element element, java.lang.String defaultType)` |
    `protected org.w3c.dom.Document` | `getDocument​(java.io.File configFile)` |
    `protected org.w3c.dom.Document` | `getDocument​(java.io.Reader configReader)` |
    `protected EPackage[]` | `getInitialPackages​(org.w3c.dom.Element repositoryConfig)` |
    `java.lang.String` | `getParameter​(java.lang.String key)` |
    `static java.util.Map<java.lang.String,​java.lang.String>` | `getProperties​(org.w3c.dom.Element element, int levels)` |
    `static java.util.Map<java.lang.String,​java.lang.String>` | `getProperties​(org.w3c.dom.Element element, int levels, java.util.Map<java.lang.String,​java.lang.String> parameters)` |
    `protected IRepository` | `getRepository​(java.lang.String repositoryType)` |
    `protected IRepository` | `getRepository​(org.w3c.dom.Element repositoryConfig)` |
    `java.util.Map<java.lang.String,​IRepositoryFactory>` | `getRepositoryFactories()` |
    `protected IRepositoryFactory` | `getRepositoryFactory​(java.lang.String type)` |
    `protected org.w3c.dom.Element` | `getStoreConfig​(org.w3c.dom.Element repositoryConfig)` |
    `java.util.Map<java.lang.String,​IStoreFactory>` | `getStoreFactories()` |
    `protected IStoreFactory` | `getStoreFactory​(java.lang.String type)` |
    `protected org.eclipse.net4j.util.security.IUserManager` | `getUserManager​(java.lang.String type, java.lang.String description)` |
    `protected org.eclipse.net4j.util.security.IUserManager` | `getUserManager​(org.w3c.dom.Element userManagerConfig)` |
    `protected org.w3c.dom.Element` | `getUserManagerConfig​(org.w3c.dom.Element repositoryConfig)` |
    `protected void` | `setActivityLog​(InternalRepository repository, org.w3c.dom.Element repositoryConfig)` |
    `protected void` | `setAuthenticator​(InternalRepository repository, org.w3c.dom.Element repositoryConfig)` |
    `java.lang.String` | `setParameter​(java.lang.String key, java.lang.String value)` |
    `protected void` | `setUserManager​(InternalRepository repository, org.w3c.dom.Element repositoryConfig)` |
    `static java.lang.String` | `substituteParameters​(java.lang.String value, java.util.Map<java.lang.String,​java.lang.String> parameters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfigurator

          public RepositoryConfigurator()

    - #### RepositoryConfigurator

          public RepositoryConfigurator​(org.eclipse.net4j.util.container.IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public org.eclipse.net4j.util.container.IManagedContainer getContainer()

      Specified by:
        `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

    - #### getRepositoryFactories

          public java.util.Map<java.lang.String,​IRepositoryFactory> getRepositoryFactories()

    - #### getStoreFactories

          public java.util.Map<java.lang.String,​IStoreFactory> getStoreFactories()

    - #### getParameter

          public java.lang.String getParameter​(java.lang.String key)

      Since:
        4.10

    - #### setParameter

          public java.lang.String setParameter​(java.lang.String key,
                                               java.lang.String value)

      Since:
        4.10

    - #### configure

          public IRepository[] configure​(java.io.File configFile)
                                  throws javax.xml.parsers.ParserConfigurationException,
                                         org.xml.sax.SAXException,
                                         java.io.IOException,
                                         CoreException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `CoreException`

    - #### configure

          public IRepository[] configure​(java.io.Reader configReader)
                                  throws javax.xml.parsers.ParserConfigurationException,
                                         org.xml.sax.SAXException,
                                         java.io.IOException,
                                         CoreException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `CoreException`
      Since:
        4.3

    - #### configure

          protected IRepository[] configure​(org.w3c.dom.Document document)
                                     throws javax.xml.parsers.ParserConfigurationException,
                                            org.xml.sax.SAXException,
                                            java.io.IOException,
                                            CoreException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `CoreException`
      Since:
        4.3

    - #### getDocument

          protected org.w3c.dom.Document getDocument​(java.io.File configFile)
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException,
                                                     java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### getDocument

          protected org.w3c.dom.Document getDocument​(java.io.Reader configReader)
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException,
                                                     java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
      Since:
        4.3

    - #### getRepositoryFactory

          protected IRepositoryFactory getRepositoryFactory​(java.lang.String type)
                                                     throws CoreException

      Throws:
        `CoreException`

    - #### getRepository

          protected IRepository getRepository​(org.w3c.dom.Element repositoryConfig)
                                       throws CoreException

      Throws:
        `CoreException`

    - #### getRepository

          protected IRepository getRepository​(java.lang.String repositoryType)
                                       throws CoreException

      Throws:
        `CoreException`

    - #### getUserManagerConfig

          protected org.w3c.dom.Element getUserManagerConfig​(org.w3c.dom.Element repositoryConfig)

    - #### getUserManager

          protected org.eclipse.net4j.util.security.IUserManager getUserManager​(org.w3c.dom.Element userManagerConfig)
                                                                         throws CoreException

      Throws:
        `CoreException`

    - #### getUserManager

          protected org.eclipse.net4j.util.security.IUserManager getUserManager​(java.lang.String type,
                                                                                java.lang.String description)
                                                                         throws CoreException

      Throws:
        `CoreException`

    - #### setUserManager

          protected void setUserManager​(InternalRepository repository,
                                        org.w3c.dom.Element repositoryConfig)
                                 throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### getAuthenticatorConfig

          protected org.w3c.dom.Element getAuthenticatorConfig​(org.w3c.dom.Element repositoryConfig)

      Since:
        4.2

    - #### getAuthenticator

          protected org.eclipse.net4j.util.security.IAuthenticator getAuthenticator​(org.w3c.dom.Element authenticatorConfig)
                                                                             throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### getAuthenticator

          protected org.eclipse.net4j.util.security.IAuthenticator getAuthenticator​(java.lang.String type,
                                                                                    java.lang.String description)
                                                                             throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### setAuthenticator

          protected void setAuthenticator​(InternalRepository repository,
                                          org.w3c.dom.Element repositoryConfig)
                                   throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### setActivityLog

          protected void setActivityLog​(InternalRepository repository,
                                        org.w3c.dom.Element repositoryConfig)

      Since:
        4.7

    - #### getInitialPackages

          protected EPackage[] getInitialPackages​(org.w3c.dom.Element repositoryConfig)

    - #### getStoreConfig

          protected org.w3c.dom.Element getStoreConfig​(org.w3c.dom.Element repositoryConfig)

    - #### getStoreFactory

          protected IStoreFactory getStoreFactory​(java.lang.String type)
                                           throws CoreException

      Throws:
        `CoreException`

    - #### createStore

          protected IStore createStore​(java.lang.String repositoryName,
                                       java.util.Map<java.lang.String,​java.lang.String> repositoryProperties,
                                       org.w3c.dom.Element storeConfig)
                                throws CoreException

      Throws:
        `CoreException`

    - #### getContainerElement

          protected <T> T getContainerElement​(org.w3c.dom.Element element,
                                              java.lang.String defaultType)

      Since:
        4.7

    - #### getChildElement

          protected org.w3c.dom.Element getChildElement​(org.w3c.dom.Element element,
                                                        java.lang.String name)

      Since:
        4.10

    - #### getAttribute

          protected java.lang.String getAttribute​(org.w3c.dom.Element element,
                                                  java.lang.String name)

      Since:
        4.10

    - #### substituteParameters

          public static java.lang.String substituteParameters​(java.lang.String value,
                                                              java.util.Map<java.lang.String,​java.lang.String> parameters)

      Since:
        4.10

    - #### getProperties

          public static java.util.Map<java.lang.String,​java.lang.String> getProperties​(org.w3c.dom.Element element,
                                                                                             int levels)

    - #### getProperties

          public static java.util.Map<java.lang.String,​java.lang.String> getProperties​(org.w3c.dom.Element element,
                                                                                             int levels,
                                                                                             java.util.Map<java.lang.String,​java.lang.String> parameters)

      Since:
        4.10